﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
        private const string ProviderSessionKey = "Telerik.Web.Examples.Scheduler.XmlSchedulerProvider.DefaultCS";

    protected void Page_Load(object sender, EventArgs e)
    {
    }

    private DataTable GetAppointments()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID", typeof(int));
        dt.Columns.Add("Subject", typeof(string));
        dt.Columns.Add("Start", typeof(DateTime));
        dt.Columns.Add("End", typeof(DateTime));
        dt.Columns.Add("RecurrenceRule", typeof(string));
        dt.Columns.Add("RecurrenceParentID", typeof(int));
        dt.Columns.Add("Reminder", typeof(string));
        dt.Columns.Add("Annotations", typeof(string));

        dt.Rows.Add("1", "Subjet1", DateTime.Today.AddHours(8), DateTime.Today.AddHours(10), null, null, null, null);

        return dt;
    }

    
		// You can safely ignore this method.
		// Its purpose is to limit the changes to the underlying data only to the active user session.
		protected void Page_Init(object sender, EventArgs e)
		{
			Telerik.Web.UI.XmlSchedulerProvider provider;
			if ((Session[ProviderSessionKey] == null) || (!IsPostBack))
			{
				provider = new Telerik.Web.UI.XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), false);
				Session[ProviderSessionKey] = provider;
			}
			else
			{
				provider = (Telerik.Web.UI.XmlSchedulerProvider)Session[ProviderSessionKey];
			}

			RadScheduler1.Provider = provider;
		}

    	protected void RadScheduler1_DataBound(object sender, EventArgs e)
		{
			// Turn off the support for multiple resource values.
			foreach (ResourceType resType in RadScheduler1.ResourceTypes)
			{
				resType.AllowMultipleValues = false;
			}
		}

        protected void RadScheduler1_AppointmentCreated(object sender, AppointmentCreatedEventArgs e)
        {
            if (e.Appointment.RecurrenceState == RecurrenceState.Master || e.Appointment.RecurrenceState == RecurrenceState.Occurrence)
            {
                Panel recurrenceStateDiv = new Panel();
                recurrenceStateDiv.CssClass = "rsAptRecurrence";
                e.Container.Controls.AddAt(0, recurrenceStateDiv);
            }
            if (e.Appointment.RecurrenceState == RecurrenceState.Exception)
            {
                Panel recurrenceStateDiv = new Panel();
                recurrenceStateDiv.CssClass = "rsAptRecurrenceException";
                e.Container.Controls.AddAt(0, recurrenceStateDiv);
            }
        }
}
